Python
import os
from datetime import datetime
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.fastedge.statistics.get_call_series(
from_=datetime.fromisoformat("2019-12-27T18:11:19.117"),
step=0,
to=datetime.fromisoformat("2019-12-27T18:11:19.117"),
)
print(response.stats)package main
import (
"context"
"fmt"
"time"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Fastedge.Statistics.GetCallSeries(context.TODO(), fastedge.StatisticGetCallSeriesParams{
From: time.Now(),
Step: 0,
To: time.Now(),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Stats)
}
curl --request GET \
--url https://api.gcore.com/fastedge/v1/stats/calls \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/stats/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stats": [
{
"time": "2023-11-07T05:31:56Z",
"count_by_status": [
{
"status": 123,
"count": 123
}
]
}
]
}{
"error": "<string>"
}Stats
Call statistics
Retrieve aggregated call statistics for applications within a specified time period. Data is aggregated by the specified step interval and can be filtered by application ID and network.
GET
/
fastedge
/
v1
/
stats
/
calls
Python
import os
from datetime import datetime
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.fastedge.statistics.get_call_series(
from_=datetime.fromisoformat("2019-12-27T18:11:19.117"),
step=0,
to=datetime.fromisoformat("2019-12-27T18:11:19.117"),
)
print(response.stats)package main
import (
"context"
"fmt"
"time"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Fastedge.Statistics.GetCallSeries(context.TODO(), fastedge.StatisticGetCallSeriesParams{
From: time.Now(),
Step: 0,
To: time.Now(),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Stats)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Reporting period start time in RFC3339 format
Reporting period end time in RFC3339 format (exclusive)
Reporting time granularity in seconds. Common values are 60 (1 minute), 300 (5 minutes), 3600 (1 hour).
Filter statistics by specific application ID
Filter statistics by edge network name
Response
Returns call statistics for the specified time period
Show child attributes
Show child attributes
Was this page helpful?